Ludia Forums

This version is not available

So, I used to used the LG rebel 4 with Android version, 8.1.0, and my new phone, a BLU studio view 2019 using 8.1.0 and for some reason, it worked on my old phone and not this one. It says "Your phone is not compatible with this version. This phone doesn’t have slot of space so I thought it could be the space so I bought a 64GB micro SD card and that didn’t fix it. Jurassic World Evolution works just fine though. Can someone help?

Hey nelptune07, I’m sorry to hear that your device is not compatible. Our FAQ here has more information on the specs requirements for Android devices:

However, if you still have any questions or concerns, please do not hesitate to reach out to our support team here at support+forums@ludia.com with your support key and device information.